import * as core from "@terrascript/core";

export interface EncryptionByDefaultArgs extends core.ResourceArgs {
  enabled?: boolean | core.BooleanOut;
}

export class EncryptionByDefault extends core.Resource<EncryptionByDefaultArgs> {
  @core.attr(Boolean)
  public enabled?: boolean | core.BooleanOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: EncryptionByDefaultArgs) {
    super(name, "aws_ebs_encryption_by_default", args);
  }

  public override getNamespace(): string {
    return "aws_ebs";
  }
}
